package com.screentimetracker.util

object TimeFormatter {
    fun formatTime(minutes: Long): String {
        val hours = minutes / 60
        val remainingMinutes = minutes % 60

        return when {
            hours > 0 -> String.format("%dh %02dmin", hours, remainingMinutes)
            else -> String.format("%dmin", minutes)
        }
    }
}